# Get Menu List

<mark style="color:green;">`POST`</mark> `[PlatformAddress]/api/1.0/venue?action=getMenuList`

Get a list of menus.

#### Request Body

| Name    | Type    | Description                                |
| ------- | ------- | ------------------------------------------ |
| venueId | integer | The id of the venue                        |
| perPage | integer | The number of menu to get in a single call |

{% tabs %}
{% tab title="200 " %}

```
{
    "meta": {
        "totalResults": 5,
        "start": 0,
        "perPage": 50,
        "count": 2
    },
    "results": [
        {
            "id": 125,
            "menuTypeCategory": 0,
            "name": "Menu 1",
            "minimumPax": 20,
            "maximumPax": 30,
            "cost": 98,
            "costType": 1,
            "smallDescription": "small description",
            "marketplaceName": "Marketplace Name 1",
            "marketplaceCategories": []
        },
        {
            "id": 125,
            "menuTypeCategory": 1,
            "name": "Menu 2",
            "minimumPax": 10,
            "maximumPax": 30,
            "cost": 198,
            "costType": 2,
            "smallDescription": "small description",
            "marketplaceName": "Marketplace Name 2",
            "marketplaceCategories": [3]
        }
    ]
}
```

{% endtab %}
{% endtabs %}

The result from this call will be a [collection](/getting-started/interpreting-the-response/collections.md) of all the menus the user has access to. This call also accepts the [pagination](/getting-started/interpreting-the-response/pagination.md) and [filter](/getting-started/interpreting-the-response/filtering.md) properties.

### Example Request

```javascript
{
  "venueId": 1,
  "perPage": 50,
  "start": 15
}
```

### Menu

| Property              | Type                                                       | Description                                                                       |
| --------------------- | ---------------------------------------------------------- | --------------------------------------------------------------------------------- |
| id                    | integer                                                    | The unique id of the menu                                                         |
| menuTypeCategory      | integer [Menu Type Category](#menu-type-categories)        | The category of the menu type that's used in various reports                      |
| name                  | text                                                       | The name of the menu                                                              |
| minimumPax            | integer                                                    | The minimum number of people allowed within a single session to order this menu   |
| maximumPax            | integer                                                    | The maximum number of people allowed within a single session to order this menu   |
| cost                  | float                                                      | The price of the menu                                                             |
| costType              | integer [Cost Type](#cost-type-menu-pricing)               | The price type of the menu                                                        |
| costPerPerson         | float                                                      | The per person price of the menu                                                  |
| smallDescription      | text                                                       | The small description of the menu                                                 |
| marketplaceName       | text                                                       | The name of the menu displayed in marketplace booking engines                     |
| marketplaceCategories | array of [Marketplace Categories](#marketplace-categories) | The categories in which the menu will be displayed in marketplace booking engines |
| costcenters           | array of [Costcenter](#costcenter)                         | Cost breakdown of a menu when selected menu type is multi cost per person         |

### Cost Type (Menu Pricing)

* 1 = Per person
* 2 = Flat rate
* 3 = Total of menu items

### Marketplace Categories

* 1 = Breakfast
* 2 = Morning Break
* 3 = Lunch
* 4 = Afternoon Break
* 5 = Dinner
* 6 = Cocktail

### Menu Type Categories

* 0 = Unassigned
* 1 = Breakfast
* 2 = Lunch
* 3 = Dinner
* 4 = Coffee Break
* 5 = Reception
* 6 = Outside Catering

### Costcenter

| Property                    | Type     | Required          | Description                                                       |
| --------------------------- | -------- | ----------------- | ----------------------------------------------------------------- |
| costcenterId                | integer  | required          | The id of costcenter                                              |
| costPerPerson               | double   | required          | The cost per person value of a costcenter                         |
| costPerPersonExcludedTaxIds | optional | array of integers | The excluded cost tax ids applied to the price of this costcenter |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.ivvy.com/venues/venuedata/get-menu-list.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
